function GetTrueWidth()
    local resolutions = {
        [0] = GetWideX() ~= 640 and 627 or 640,
        [1] = GetWideX() ~= 640 and 640 or 640,
        [2] = GetWideX() ~= 640 and 640 or 640,
        [3] = GetWideX() ~= 640 and 640 or 640,
        [4] = GetWideX() ~= 640 and 854 or 640,
        [5] = GetWideX() ~= 640 and 854 or 640,
        [6] = GetWideX() ~= 640 and 854 or 640,
        [7] = GetWideX() ~= 640 and 854 or 640,
        [8] = GetWideX() ~= 640 and 854 or 640,
    }
    return resolutions[GetMainResolution()]
end

function GetTrueHeight()
    if GetMainResolution() == 0 then
        return GetWideX() ~= 640 and 470 or 480
    end
    return 480
end